> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/motorsport-api/tutorials-and-guides/guides/migrating-from-formula-one-api-v1-to-motorsport-api-v3/tracks-venues.md).

# Tracks / Venues

{% hint style="info" %}
Prefer mapping the IDs programmatically? You can use the following URL:

`https://api.sportmonks.com/v3/motorsport/venues?api_token=YOUR_TOKEN&per_page=50&include=metadata&filter=metadataTypes:110619`
{% endhint %}

{% hint style="warning" %}
(\*) Venues in v3 refer to a **single unique track venue**. In v1, it also served as a base for the Grand Prix race weekend. Due to data in older seasons (e.g. Austria where two Grand Prix were held on the same track), some tracks in v1 have multiple IDs. In v3, the [Stage](/v3/motorsport-api/endpoints-and-entities/entities/stage.md) entity is used as the base for a GP weekend instead.
{% endhint %}

| v1 name                           | v1 track name                      | v1 ID | v3 ID  |
| --------------------------------- | ---------------------------------- | ----- | ------ |
| Australian Grand Prix             | Albert Park                        | 1     | 343575 |
| Chinese Grand Prix                | Shanghai International Circuit     | 2     | 343576 |
| Bahrain Grand Prix                | Bahrain International Circuit      | 3\*   | 343578 |
| Russian Grand Prix                | Sochi International Street Circuit | 4     | 343826 |
| Spanish Grand Prix                | Circuit de Catalunya               | 5     | 343583 |
| Monaco Grand Prix                 | Circuit de Monaco                  | 6     | 343582 |
| Canadian Grand Prix               | Circuit Gilles Villeneuve          | 7     | 343584 |
| Azerbaijan Grand Prix             | Baku City Circuit                  | 8     | 343591 |
| Austrian Grand Prix               | Red Bull Ring                      | 9\*   | 343585 |
| British Grand Prix                | Silverstone Circuit                | 10    | 343586 |
| Hungarian Grand Prix              | Hungaroring                        | 11    | 343588 |
| Belgian Grand Prix                | Spa-Francorchamps                  | 12    | 343587 |
| Italian Grand Prix                | Autodromo Nazionale Monza          | 13    | 343590 |
| Singapore Grand Prix              | Marina Bay Circuit                 | 14    | 343592 |
| Malaysian Grand Prix              | Sepang International Circuit       | 15    | 343827 |
| Japanese Grand Prix               | Suzuka Circuit                     | 16    | 343577 |
| USA Grand Prix                    | Circuit of the Americas            | 17    | 343593 |
| Mexican Grand Prix                | Autodromo Hermanos Rodriguez       | 18    | 343594 |
| São Paulo Grand Prix              | Autodromo Jose Carlos Pace         | 19    | 343595 |
| Abu Dhabi Grand Prix              | Yas Marina Circuit                 | 20    | 343598 |
| France Grand Prix                 | Circuit Paul Ricard                | 21    | 343828 |
| German Grand Prix                 | Nurburgring                        | 22    | 343829 |
| Netherlands Grand Prix            | Circuit Zandvoort                  | 23    | 343589 |
| Vietnam Grand Prix                | Hanoi Street Circuit               | 24    | 343830 |
| Emilia Romagna Grand Prix         | Autodromo Enzo e Dino Ferrari      | 26    | 343581 |
| Bahrain Grand Prix 2              | Bahrain International Circuit      | 32\*  | 343578 |
| Turkey Grand Prix                 | Intercity Istanbul Park            | 33    | 343831 |
| Austria Der Steiermark Grand Prix | Red Bull Ring                      | 34\*  | 343585 |
| Saudi Arabia Grand Prix           | Jeddah Street Circuit              | 35    | 343579 |
| Portugal Grand Prix               | Autodromo Internacional Do Algarve | 37    | 343832 |
| Qatar Grand Prix                  | Losail International Circuit       | 39    | 343808 |
| Miami Grand Prix                  | Miami International Autodrome      | 40    | 343580 |
| Las Vegas Grand Prix              | Las Vegas Grand Prix               | 41    | 343596 |
| Spanish Grand Prix 2              | Madring                            | 42    | 343812 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v3/motorsport-api/tutorials-and-guides/guides/migrating-from-formula-one-api-v1-to-motorsport-api-v3/tracks-venues.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
